System.Web 2.0.0.0 System.Collections.CollectionBase System.ComponentModel.Editor("System.Web.UI.Design.WebControls.RoleGroupCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The class manages the list of role groups associated with a particular template. Each role group defines the content and controls to display to a particular group of users on your Web site. It is possible to assign several role groups to the same template.

To find the role group in the collection that a particular user belongs to, you can use the method to search the collection by user name.

The order of the roles in the collection is important because matching is done sequentially based on the first role found.

You must configure role management to use the class to manage a list of role groups. For more information, see Understanding Role Management.

Contains a sequential list of role groups that the control uses to determine which control template to display to users based on their role. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `` To be added.

  Adds a role group to the end of the collection.

  The to add to the collection. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether the collection contains the specified role group.

  true if the specified role group is a member of the collection; otherwise false.

  The to look for in the collection. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to copy the contents of the collection into the specified zero-based array. Items are copied starting at the specified index of the target array. After the items are in an array, you can use array syntax to access the items in the collection.

  Copies all the items from the collection to a compatible one-dimensional array of objects, starting at the specified index in the target array.

  A zero-based array of objects that receives the items copied from the collection. The position in the target array at which the array starts receiving the copied items. 2.0.0.0
- Method
  System.Web.UI.WebControls.RoleGroup ``

  The method searches the role group collection and returns the first role group that contains the specified user account. The method searches the collection in the order role groups are added to the collection, and returns only the first matching role group.

  If the specified user account is not part of any of the role groups in the collection, null is returned.

  You must configure role management to use the method. For more information, see Understanding Role Management.

  Returns the first role group that contains the specified user account.

  A representing the first role group in the collection that contains the specified user account. If the user is not part of a role group in the collection, it returns null.

  An that represents the user account to find the role group collection. 2.0.0.0
- Method
  System.Int32 ``

  The method performs a linear search; therefore the average execution time depends on the number of members in the collection.

  Searches the collection and returns the zero-based index of the first occurrence of the specified .

  The zero-based index of the first occurrence of within the entire , if found; otherwise, -1.

  The to locate in the collection. 2.0.0.0
- Method
  System.Void `` ``

  The method inserts the specified at the specified location. Role groups that follow the insertion point move down in the collection to accommodate the new element.

  Adds a to the collection at the specified index.

  The zero-based index at which to insert the role group. The role group to insert. 2.0.0.0
- Property
  System.Web.UI.WebControls.RoleGroup `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The first instance of the specified object is removed from the collection. Groups that follow the removed group all move up in the index to fill the vacated spot. If there is more than one instance of the specified object, only the first instance is removed.

  Deletes the first occurrence of the specified role group from the collection.

  The to remove from the collection. 2.0.0.0